Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.renderer.impl
Class ChainedDelegateAttributeRenderer

    java.lang.Object
      org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
          org.apache.tiles.renderer.impl.ChainedDelegateAttributeRenderer

All Implemented Interfaces:
  TilesApplicationContextAware, TilesRequestContextFactoryAware, AttributeEvaluatorFactoryAware, AttributeRenderer

    public class ChainedDelegateAttributeRenderer

extends AbstractBaseAttributeRenderer

Renders an attribute that has no associated renderer using delegation to other renderers.

Since:
  2.2.1
Version:
  $Rev: 821299 $ $Date: 2009-10-03 14:15:05 +0200 (sab, 03 ott 2009) $

Field Summary

Fields inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`applicationContext, attributeEvaluatorFactory, contextFactory`

Constructor Summary
`ChainedDelegateAttributeRenderer()` Constructor.

Method Summary
`void` | `addAttributeRenderer(TypeDetectingAttributeRenderer renderer)` Adds an attribute renderer to the list.
`void` | `write(java.lang.Object value, Attribute attribute, TilesRequestContext request)` Implement this method knowing that the attribute won't be null and it will be authorized.

Methods inherited from class org.apache.tiles.renderer.impl.AbstractBaseAttributeRenderer
`getRequestContext, isPermitted, render, setApplicationContext, setAttributeEvaluatorFactory, setRequestContextFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedDelegateAttributeRenderer

    public ChainedDelegateAttributeRenderer()

  Constructor.

  Since:
    2.2.1

Method Detail

### addAttributeRenderer

    public void addAttributeRenderer(TypeDetectingAttributeRenderer renderer)

  Adds an attribute renderer to the list. The first inserted this way, the first is checked when rendering.

  Parameters:
    `renderer` - The renderer to add.

### write

    public void write(java.lang.Object value,
                      Attribute attribute,
                      TilesRequestContext request)
               throws java.io.IOException

  Implement this method knowing that the attribute won't be null and it will be authorized.

  Specified by:
    `write` in class `AbstractBaseAttributeRenderer`
  Parameters:
    `value` - The value of the attribute to be rendered.
    `attribute` - The attribute to render.
    `request` - The Tiles request object.
  Throws:
    `java.io.IOException` - If something goes wrong during rendition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.